Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1647 - mgetty-sendfax does not install log file
Summary: mgetty-sendfax does not install log file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mgetty
Version: 1.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-21 12:18 UTC by witten
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-23 17:01:29 UTC


Attachments (Terms of Use)

Description witten 1999-03-21 12:18:53 UTC
mgetty-sendfax in Redhat 5.9 does not install
/var/log/sendfax.log but it *does* install
/etc/logrotate.d/sendfax, which means the system tries to
rotate a non-existent log file. This results in the
following error:

errors occured while rotating /var/log/sendfax.log

stat of /var/log/sendfax.log failed: No such file or
directory

No harm is done, but the error gets mailed to root every 24
hours, which can get annoying after a few days.

The obvious workaround is to create the proper log file
manually. But the mgetty-sendfax rpm should do that.

Comment 1 Preston Brown 1999-03-23 17:01:59 UTC
log file handling is cleaned up in 1.1.14-7 and later.


Note You need to log in before you can comment on or make changes to this bug.